qpid::framing::Buffer Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
qpid::framing::Buffer Class Reference

`#include <qpid/framing/Buffer.h>`

List of all members.

## Classes
class | Iterator
| Buffer input/output iterator. More...
## Public Member Functions
void | checkAvailable (uint32_t count)
| Buffer (char *data=0, uint32_t size=0)
void | record ()
void | restore (bool reRecord=false)
void | reset ()
QPID_COMMON_INLINE_EXTERN uint32_t | available ()
QPID_COMMON_INLINE_EXTERN uint32_t | getSize ()
QPID_COMMON_INLINE_EXTERN uint32_t | getPosition ()
QPID_COMMON_INLINE_EXTERN void | setPosition (uint32_t p)
QPID_COMMON_INLINE_EXTERN Iterator | getIterator ()
QPID_COMMON_INLINE_EXTERN char * | getPointer ()
void | putOctet (uint8_t i)
void | putShort (uint16_t i)
void | putLong (uint32_t i)
void | putLongLong (uint64_t i)
void | putInt8 (int8_t i)
void | putInt16 (int16_t i)
void | putInt32 (int32_t i)
void | putInt64 (int64_t i)
void | putFloat (float f)
void | putDouble (double f)
void | putBin128 (const uint8_t *b)
uint8_t | getOctet ()
uint16_t | getShort ()
uint32_t | getLong ()
uint64_t | getLongLong ()
int8_t | getInt8 ()
int16_t | getInt16 ()
int32_t | getInt32 ()
int64_t | getInt64 ()
float | getFloat ()
double | getDouble ()
template<int n>
uint64_t | getUInt ()
template<int n>
void | putUInt (uint64_t)
void | putShortString (const string &s)
void | putMediumString (const string &s)
void | putLongString (const string &s)
void | getShortString (string &s)
void | getMediumString (string &s)
void | getLongString (string &s)
void | getBin128 (uint8_t *b)
void | putRawData (const string &s)
void | getRawData (string &s, uint32_t size)
void | putRawData (const uint8_t *data, size_t size)
void | getRawData (uint8_t *data, size_t size)
template<class T >
void | put (const T &data)
template<class T >
void | get (T &data)
void | dump (std::ostream &) const

## Constructor & Destructor Documentation

qpid::framing::Buffer::Buffer | ( | char * | data = `0`,
|  | uint32_t | size = `0`
| ) |  |

## Member Function Documentation

QPID_COMMON_INLINE_EXTERN uint32_t qpid::framing::Buffer::available | ( |  | ) | `[inline]`

Definition at line 75 of file Buffer.h.

void qpid::framing::Buffer::checkAvailable | ( | uint32_t | count | ) | `[inline]`

Definition at line 47 of file Buffer.h.

void qpid::framing::Buffer::dump | ( | std::ostream & |  | ) | const

template<class T >

void qpid::framing::Buffer::get | ( | T & | data | ) | `[inline]`

Definition at line 126 of file Buffer.h.

void qpid::framing::Buffer::getBin128 | ( | uint8_t * | b | ) |

double qpid::framing::Buffer::getDouble | ( |  | ) |

float qpid::framing::Buffer::getFloat | ( |  | ) |

int16_t qpid::framing::Buffer::getInt16 | ( |  | ) |

int32_t qpid::framing::Buffer::getInt32 | ( |  | ) |

int64_t qpid::framing::Buffer::getInt64 | ( |  | ) |

int8_t qpid::framing::Buffer::getInt8 | ( |  | ) |

QPID_COMMON_INLINE_EXTERN Iterator qpid::framing::Buffer::getIterator | ( |  | ) | `[inline]`

Definition at line 79 of file Buffer.h.

uint32_t qpid::framing::Buffer::getLong | ( |  | ) |

uint64_t qpid::framing::Buffer::getLongLong | ( |  | ) |

void qpid::framing::Buffer::getLongString | ( | string & | s | ) |

void qpid::framing::Buffer::getMediumString | ( | string & | s | ) |

uint8_t qpid::framing::Buffer::getOctet | ( |  | ) |

QPID_COMMON_INLINE_EXTERN char* qpid::framing::Buffer::getPointer | ( |  | ) | `[inline]`

Definition at line 80 of file Buffer.h.

QPID_COMMON_INLINE_EXTERN uint32_t qpid::framing::Buffer::getPosition | ( |  | ) | `[inline]`

Definition at line 77 of file Buffer.h.

void qpid::framing::Buffer::getRawData | ( | string & | s,
|  | uint32_t | size
| ) |  |

Referenced by qpid::framing::FixedWidthValue::decode(), and qpid::framing::VariableWidthValue::decode().

void qpid::framing::Buffer::getRawData | ( | uint8_t * | data,
|  | size_t | size
| ) |  |

uint16_t qpid::framing::Buffer::getShort | ( |  | ) |

Referenced by qpid::framing::StructHelper::decode().

void qpid::framing::Buffer::getShortString | ( | string & | s | ) |

QPID_COMMON_INLINE_EXTERN uint32_t qpid::framing::Buffer::getSize | ( |  | ) | `[inline]`

Definition at line 76 of file Buffer.h.

template<int n>

uint64_t qpid::framing::Buffer::getUInt | ( |  | ) |

Referenced by qpid::framing::VariableWidthValue::decode().

template<class T >

void qpid::framing::Buffer::put | ( | const T & | data | ) | `[inline]`

Definition at line 125 of file Buffer.h.

void qpid::framing::Buffer::putBin128 | ( | const uint8_t * | b | ) |

void qpid::framing::Buffer::putDouble | ( | double | f | ) |

void qpid::framing::Buffer::putFloat | ( | float | f | ) |

void qpid::framing::Buffer::putInt16 | ( | int16_t | i | ) |

void qpid::framing::Buffer::putInt32 | ( | int32_t | i | ) |

void qpid::framing::Buffer::putInt64 | ( | int64_t | i | ) |

void qpid::framing::Buffer::putInt8 | ( | int8_t | i | ) |

void qpid::framing::Buffer::putLong | ( | uint32_t | i | ) |

void qpid::framing::Buffer::putLongLong | ( | uint64_t | i | ) |

void qpid::framing::Buffer::putLongString | ( | const string & | s | ) |

void qpid::framing::Buffer::putMediumString | ( | const string & | s | ) |

void qpid::framing::Buffer::putOctet | ( | uint8_t | i | ) |

void qpid::framing::Buffer::putRawData | ( | const string & | s | ) |

Referenced by qpid::framing::FixedWidthValue::encode(), and qpid::framing::VariableWidthValue::encode().

void qpid::framing::Buffer::putRawData | ( | const uint8_t * | data,
|  | size_t | size
| ) |  |

void qpid::framing::Buffer::putShort | ( | uint16_t | i | ) |

Referenced by qpid::framing::StructHelper::encode().

void qpid::framing::Buffer::putShortString | ( | const string & | s | ) |

template<int n>

void qpid::framing::Buffer::putUInt | ( | uint64_t |  | ) |

Referenced by qpid::framing::VariableWidthValue::encode().

void qpid::framing::Buffer::record | ( |  | ) |

void qpid::framing::Buffer::reset | ( |  | ) |

void qpid::framing::Buffer::restore | ( | bool | reRecord = `false` | ) |

QPID_COMMON_INLINE_EXTERN void qpid::framing::Buffer::setPosition | ( | uint32_t | p | ) | `[inline]`

Definition at line 78 of file Buffer.h.

The documentation for this class was generated from the following file:

- qpid/framing/Buffer.h